MONGOC_COLLECTION_STATS(3)

NAME
mongoc_collection_stats() - This function is a helper to retrieve statistics about the collection.

SYNOPSIS

bool
mongoc_collection_stats (mongoc_collection_t *collection,
                         const bson_t        *options,
                         bson_t              *reply,
                         bson_error_t        *error);

PARAMETERS

collection
    A mongoc_collection_t \&.

options
    An optional bson_t containing extra options to pass to the collStats command.

reply
    An optional location for a bson_t to store the result.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function is a helper to retrieve statistics about the collection.

ERRORS

Errors are propagated via the error parameter.

RETURNS

true if successful

reply is always initialized to simplfiy memory handling.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.